@echo off
if not "%~f0" == "~f0" goto WinNT
ruby -Sx C:/LAN/ruby-1.9.0-0/bin/irb.bat %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofruby
:WinNT
"%~d0%~p0ruby" -x "%~f0" %*
goto endofruby
#!C:/LAN/ruby-1.9.0-0/bin/ruby
#
#   irb.rb - interactive ruby
#   	$Release Version: 0.9.5 $
#   	$Revision: 13609 $
#   	$Date: 2007-10-03 23:39:54 +0900 (Wed, 03 Oct 2007) $
#   	by Keiju ISHITSUKA(keiju@ruby-lang.org)
#

require "irb"

if __FILE__ == $0
  IRB.start(__FILE__)
else
  # check -e option
  if /^-e$/ =~ $0
    IRB.start(__FILE__)
  else
    IRB.setup(__FILE__)
  end
end
__END__
:endofruby
